org.apache.uima.cas.impl

## Class IntIterator4set<T extends FeatureStructure>

- java.lang.Object
- - org.apache.uima.cas.impl.FSIntIteratorImplBase<T>
  - - org.apache.uima.cas.impl.IntIterator4set<T>

- All Implemented Interfaces:
    Comparable<FSIntIteratorImplBase<T>>, LowLevelIterator, org.apache.uima.internal.util.ComparableIntPointerIterator<T>, org.apache.uima.internal.util.IntPointerIterator

      public class IntIterator4set<T extends FeatureStructure>
      extends FSIntIteratorImplBase<T>

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.FSIntIteratorImplBase

      `detectIllegalIndexUpdates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntIterator4set(FSRBTSetIndex<T> fsSetIndex, int[] detectIllegalIndexUpdates, org.apache.uima.internal.util.IntComparator comp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FSIntIteratorImplBase<T> o)`
    `Object` | `copy()` Create a copy of this iterator.
    `int` | `get()`
    `boolean` | `isValid()` Check if the iterator is currently valid.
    `int` | `ll_indexSize()` Return the size of the underlying index.
    `void` | `moveTo(int i)` Try to position the iterator so that the current element is greater than or equal to `fsRef`, and previous elements are less than `fsRef`.
    `void` | `moveToFirst()` If empty, make position -1 (invalid)
    `void` | `moveToLast()` If empty, make position -1 (invalid)
    `void` | `moveToNext()` Advance the iterator.
    `void` | `moveToPrevious()` Move the iterator back one position.

    - ### Methods inherited from class org.apache.uima.cas.impl.FSIntIteratorImplBase

      `checkConcurrentModification, dec, inc, ll_get, ll_getIndex, resetConcurrentModification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntIterator4set

          public IntIterator4set(FSRBTSetIndex<T> fsSetIndex,
                                 int[] detectIllegalIndexUpdates,
                                 org.apache.uima.internal.util.IntComparator comp)

  - ### Method Detail

    - #### isValid

          public boolean isValid()

      Description copied from interface: `LowLevelIterator`
      Check if the iterator is currently valid.
      Returns:
        `true` iff the iterator is valid.

    - #### moveToFirst

          public void moveToFirst()

      If empty, make position -1 (invalid)

    - #### moveToLast

          public void moveToLast()

      If empty, make position -1 (invalid)

    - #### moveToNext

          public void moveToNext()

      Description copied from interface: `LowLevelIterator`
      Advance the iterator. This may invalidate the iterator.

    - #### moveToPrevious

          public void moveToPrevious()

      Description copied from interface: `LowLevelIterator`
      Move the iterator back one position. This may invalidate the iterator.

    - #### get

          public int get()

    - #### copy

          public Object copy()

      Description copied from interface: `LowLevelIterator`
      Create a copy of this iterator. The copy will point at the same element that this iterator is currently pointing at.
      Returns:
        A copy of this iterator.
      See Also:
        `IntPointerIterator.copy()`

    - #### moveTo

          public void moveTo(int i)

      Description copied from interface: `LowLevelIterator`
      Try to position the iterator so that the current element is greater than or equal to `fsRef`, and previous elements are less than `fsRef`. This may invalidate the iterator. If fsRef can not be compared to FSs in the index, the results are undefined.
      Parameters:
        `i` - The FS reference the iterator should be set to.
      See Also:
        `IntPointerIterator.moveTo(int)`

    - #### ll_indexSize

          public int ll_indexSize()

      Description copied from interface: `LowLevelIterator`
      Return the size of the underlying index.
      Returns:
        The size of the index.

    - #### compareTo

          public int compareTo(FSIntIteratorImplBase<T> o)

      Specified by:
        `compareTo` in interface `Comparable<FSIntIteratorImplBase<T extends FeatureStructure>>`
      Overrides:
        `compareTo` in class `FSIntIteratorImplBase<T extends FeatureStructure>`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.